GeneralDigest (jTDS API)
Keywords: net.sourceforge.jtds.util.GeneralDigest class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.jtds.util
Class GeneralDigest

    java.lang.Object
      net.sourceforge.jtds.util.GeneralDigest

Direct Known Subclasses:
  MD4Digest, MD5Digest

public abstract class GeneralDigest
extends java.lang.Object

base implementation of MD4 family style digest as outlined in "Handbook of Applied Cryptography", pages 344 - 347.

Version:
  $Id: GeneralDigest.java,v 1.2 2004/06/27 17:00:55 bheineman Exp $

Field Summary
`private long` | `byteCount`
`private byte[]` | `xBuf`
`private int` | `xBufOff`

Constructor Summary
`protected` | `GeneralDigest()` Standard constructor
`protected` | `GeneralDigest(GeneralDigest t)` Copy constructor.

Method Summary
`void` | `finish()`
`protected abstract void` | `processBlock()`
`protected abstract void` | `processLength(long bitLength)`
`protected abstract void` | `processWord(byte[] in, int inOff)`
`void` | `reset()`
`void` | `update(byte in)`
`void` | `update(byte[] in, int inOff, int len)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### xBuf

    private byte[] xBuf

### xBufOff

    private int xBufOff

### byteCount

    private long byteCount

Constructor Detail

### GeneralDigest

    protected GeneralDigest()

  Standard constructor

### GeneralDigest

    protected GeneralDigest(GeneralDigest t)

  Copy constructor. We are using copy constructors in place of the Object.clone() interface as this interface is not supported by J2ME.

Method Detail

### update

    public void update(byte in)

### update

    public void update(byte[] in,
                       int inOff,
                       int len)

### finish

    public void finish()

### reset

    public void reset()

### processWord

    protected abstract void processWord(byte[] in,
                                        int inOff)

### processLength

    protected abstract void processLength(long bitLength)

### processBlock

    protected abstract void processBlock()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Generated on December 30 2009